#ifndef AUDIO_CTL_H
#define AUDIO_CTL_H

#define MAX_VOLUME 0x6464

extern int open_mixer_device();
extern void close_mixer_device();

extern int get_volume();
extern int set_volume_direct(int value);
extern int set_volume(int value);
extern void set_volume_relative(int value);

extern void mute(bool action);
extern void mute_toggle();
#define unmute(__act__) mute(!(__act__));

#endif
