#ifndef IVAD_CONFIG_H
#define IVAD_CONFIG_H

///// DEFAULT VALUES /////
// these values can be overwritten on command line

// the sonypi device (char-major-10-250)
// to create this device type
// 	mknod /dev/sonypi c 10 250
#define SONYPI_DEVICE "/dev/sonypi"


// brightness step
// since the brightness range is from 0 to 255 it's a good
// idea to keep this value in there, too
#define BRIGHTNESS_STEP 30

// mixer step (should be multiples of 257)
#define MIXER_STEP (257 * 4)

// select timeout = mode timeout (in seconds)
#define SELECT_TIMEOUT 5

// low battery percentage
#define LOW_BATTERY 0.05

// mixer device
#define MIXER_DEVICE "/dev/mixer"

// mixer channel
#define MIXER_CHANNEL SOUND_MIXER_VOLUME


// configuration options for event bindings
// are in event_handler.h


#endif
