#ifndef IVAD_H
#define IVAD_H

#include "ivad_config.h"
#include "ivad_debug.h"

#define IVAD_VERSION "0.1alpha3"
#define AUTHOR "BeF - fuhrmannek@web.de"

typedef enum { true = 1, false = 0 } bool;

struct ivad_config_struct
{
	char sonypi_devicename[40];
	char mixer_devicename[40];

	bool daemon_mode;
	bool debug_mode;

	int brightness_step;
	int mixer_step;
	int select_timeout;
	double low_battery;
};

extern int sonypi_fd;
extern struct ivad_config_struct ivad_config;

extern void print_usage(const char *program_name);
extern void init_default_configuration();
extern void print_configuration();
extern void power_state_changes();
extern void event_loop();


#endif
