#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <sys/ioctl.h>

#include "ivad.h"
#include "ivad_ioctl.h"

// returns a value < 0 on error
int gen_ioctl(int fd, int op, void *param)
{
	int retval;

	if (sonypi_fd < 0)
		return -1;
	
	if ((retval = ioctl(fd, op, param)) < 0)
		fprintf(stderr, "ioctl failed: %s\n", strerror(errno));

	return retval;
}

