#ifndef SONYPI_CTL_H
#define SONYPI_CTL_H

// --- brightness ---
extern __s16 get_brightness();
extern __s8 set_brightness(__u8 value);
extern void set_brightness_relative(__s16 value);

// --- bluetooth ---
extern __s8 set_bluetooth(__u8 state);
extern __s16 get_bluetooth();
extern void toggle_bluetooth();

// --- battery ---
extern __u8 get_battery_flags();
extern __u8 battery1_is_connected();
extern __u8 battery2_is_connected();
extern __u8 ac_is_connected();

extern __u16 get_battery_capacity(int event);
extern double get_battery_percent(int battery_nr);


#endif
